# Gimp.Item.get_by_id

    function get_by_id(item_id: Number(gint32)): Gimp.Item {
        // Gjs wrapper for gimp_item_get_by_id()
    }

Returns a Gimp.Item representing item_id. Since Gimp.Item is an abstract class, the real object type will actually be the proper subclass.

Note: in most use cases, you should not need to retrieve a Gimp.Item by its ID, which is mostly internal data and not reusable across sessions. Use the appropriate functions for your use case instead.

Since 3.0

item_id

  The item id.

Returns

  a Gimp.Item for item_id or null if item_id does not represent a valid item. The object belongs to libgimp and you must not modify or unref it.